> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Pinned Memory

> Deletes one pinned memory from a store.

<Info>
  Delete pinned facts that are no longer true so they do not conflict with current information.
</Info>


## OpenAPI

````yaml delete /v2/memory-stores/{memory_store_id}/pinned/{memory_id}
openapi: 3.0.3
info:
  title: Tavus Developer API Collection
  version: 1.0.0
  contact: {}
servers:
  - url: https://tavusapi.com
security:
  - apiKey: []
tags:
  - name: Videos
  - name: Faces
  - name: Voices
  - name: Conversations
  - name: Deployments
  - name: PALs
  - name: Tools
  - name: PAL Tools
  - name: Pronunciation Dictionaries
  - name: Replacements
  - name: Transcriptions
  - name: Documents
  - name: Memory Stores
paths:
  /v2/memory-stores/{memory_store_id}/pinned/{memory_id}:
    parameters:
      - $ref: '#/components/parameters/memoryStoreId'
      - name: memory_id
        in: path
        required: true
        description: Pinned memory identifier.
        schema:
          type: string
        example: pm123456789abc
    delete:
      tags:
        - Memory Stores
      summary: Delete Pinned Memory
      description: Deletes one pinned memory from a store.
      operationId: deletePinnedMemory
      responses:
        '204':
          description: Pinned memory deleted
        '401':
          description: Unauthorized
        '403':
          description: The caller does not own this memory store
        '404':
          description: Memory store or pinned memory not found
      security:
        - apiKey: []
components:
  parameters:
    memoryStoreId:
      name: memory_store_id
      in: path
      required: true
      description: Memory store identifier.
      schema:
        type: string
        minLength: 2
        maxLength: 64
        pattern: ^m[a-z0-9]+$
      example: m123456789abc
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````